* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	background-color: rgba(0,0,0,0.5);
	background-image: url('./images/firefox.jpg');
	background-position:center;
	background-size:cover;
}

.hr {
	width: 80%;
	margin:auto;
}

#nav {
	font-family: 'Courier Prime', sans-serif;
	padding: 2rem;
	position: sticky;
	top: 0;
	width: 100%;
	background-color: rgba(10,10,50,1);
}

#nav-items-list {
	list-style: none;
	display: flex;
	justify-content: space-around;
}

.nav-item a{
	color: rgb(230, 150, 0);	
	text-decoration: none;
}

.nav-item a:hover {
	text-decoration: underline;
}

#landing {
	text-align:center;
	padding: 1.5rem;
}

#landing h1 {
	color: rgb(255, 165, 0);
	padding: 1rem;
	font-family: 'Raleway', sans-serif;
}

#landing p {
	font-family: 'Ubuntu Mono', sans-serif;
	color: rgb(190, 190, 250);
	font-size: 1.2rem;
	padding: 1rem;
}

#landing-text img {
	border-radius: 8px;
	margin-bottom: 2rem;
	height: 20%;
	width: 30%;
}

main {
	padding: 1rem 2rem;
}

#about-me {
	text-align:center;
	padding: 0 1rem 1rem 1rem;
	margin: 0.25rem;
}

#about-me h2 {
	padding: 1rem;
	font-family: 'Raleway', sans-serif;
	color: rgb(255, 165, 0);
}

#about-me p {
	font-family: 'Ubuntu', sans-serif;
	font-weight: 700;
	font-size: 1.2rem;
	padding: 0.5rem;
	margin: 0.5rem 2.5rem;
	color: rgb(25,25,102);
}

#projects {
	margin: 1rem;
	text-align: center;
}

h2 {
	text-align:center;
	padding: 1rem;
	font-family: 'Raleway', sans-serif;
	color: rgb(12,12,80);
}

#projects-list {
	list-style: none;
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 0 0;
}

@media (max-width: 960px) {
	#projects-list {
		grid-template-columns: 1fr;
	}
}

#projects-list li {
	display: flex;
}

.project {
	margin: 0.75rem;
	width: 0.5fr;
	display: flex;
	background-color: rgba(0,0,0, 0.8);
	border-radius: 8px;
	justify-content: space-evenly;
	height: 15rem;
}

.project-image {
	width: 50%;
	height: 100%;
	border-radius: 0 8px 8px 0;
	object-fit: fill;
}

.project-text {
	margin: 0.5rem 0.5rem 1rem 0.5rem;
	color: rgb(190, 190, 250);
	width: 50%;
	padding: 1rem 1rem 2rem 1rem;
}

.project-text p {
	padding: 1rem;
	letter-spacing: 0.05rem;
}

#node-project img {
	order: 1;
	border-radius: 8px 0 0 8px;
}
#node-project .project-text {
	order: 2;
}

#java-project img {
	order: 1;
	border-radius: 8px 0 0 8px;
}
#java-project .project-text {
	order: 2;
}


#contact {
	background-color: rgba(10,10,20, 0.7);
	width: 60%;
	margin: 1.5rem auto;
	padding: 1rem;
	text-align: center;
	border-radius: 6px;
}
#contact h2 {
	padding: 1rem;
	font-family: 'Raleway', sans-serif;
	color: rgb(255, 165, 0);
}

.form-label {
	color: rgb(230, 150, 0);
	font-family: 'Ubuntu Mono', sans-serif;
	margin: 0.5rem;
	font-weight: 700;
	letter-spacing: 0.1rem;
}

.form-input {
	margin: 0.5rem;
	width: 80%;
	height: 2rem;
}

#contact form button {
	border-radius: 8px;
	padding: 0.5rem 1rem;
	margin-top: 0.5rem;
	background-color: rgb(255, 185, 0);
	border: none;
}

#contact form button:hover {
	background-color: rgb(235, 135, 0);
}

#messages-textarea {
	height: 7rem;
}


#tools {
	margin: 1.5rem auto;
	padding: 1rem;
	text-align: center;
}

#tools h2 {
	padding: 1rem;
	font-family: 'Raleway', sans-serif;
	color: rgb(255, 165, 0);
}

#tools h3 {
	padding: 1rem;
	font-family: 'Raleway', sans-serif;
	color: rgb(245, 145, 0);
}

#tools ul {
	display: flex;
	justify-content: space-around;
}

#tools-list {
	list-style-type: none;
}

#dev-tools-list {
	list-style-type: none;
}

.tools-list-item {
	color: rgb(190, 190, 250);
	font-family: 'Courier Prime', sans-serif;
	padding: 0.3rem;
}

.dev-tools-list-item {
	color: rgb(190, 190, 250);
	font-family: 'Courier Prime', sans-serif;
	padding: 0.3rem;
}

footer {
	padding: 0.5rem;
	text-align: center;
	font-family: 'Ubuntu', sans-serif;
}

footer p {
	padding: 0.25rem;
	color: gold;
	margin: 0.25rem;
	font-weight: bold;
	letter-spacing: 0.1rem;
}

footer a {
	margin: 0.25rem;
	padding: 0.25rem 1rem;
	text-decoration: none;
	color: gold;
	border-radius: 6px;
}

footer a:hover {
	background-color: orange;
	color: indigo;
}
